Bug 7035 - de-nesting C4/ClassSource.pm and C4/ClassSortRoutine.pm
Summary: de-nesting C4/ClassSource.pm and C4/ClassSortRoutine.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 6875
  Show dependency treegraph
 
Reported: 2011-10-15 19:29 UTC by Ian Walls
Modified: 2013-12-05 20:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Signed Off patch (1.07 KB, patch)
2011-10-15 19:35 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-10-15 19:29:58 UTC
Sub-report of 6875, set to explicitly handle de-nesting efforts in C4/ClassSource.pm and C4/ClassSortRoutine.pm
Comment 1 Ian Walls 2011-10-15 19:35:12 UTC
Created attachment 5901 [details] [review]
Signed Off patch

Signed off patch (moved from 6875)
Comment 2 Ian Walls 2011-10-15 19:36:18 UTC
Signing off and passing QA for this particular patch: verified that use of C4::Koha in both those modules was completely unnecessary.
Comment 3 Chris Cormack 2011-10-18 15:10:46 UTC
Pushed please test
Comment 4 Jared Camins-Esakov 2012-12-31 00:15:35 UTC
There have been no further reports of problems so I am marking this bug resolved.